package com.bocloud.cmp.model.installation;

/**
 * 网络配置
 *
 * @author 007
 */
public class NetworkDevice {
    /**
     * 设备网卡编号
     * <p>
     * rackhd装机用不到
     * <p>
     * cop使用这个字段来唯一标识网卡
     * <p>
     * 从而在装机成功后更新网卡对应的ip地址
     */
    private Integer number;
    /**
     * 设备网卡名称,支持设置MAC地址,00:50:56:9c:68:54
     * <p>
     * ESXI安装时，设置为vmnic2,vmnic4等
     * <p>
     * WINDOWS安装时，设置为2C-60-0C-AD-D5-B1等
     */
    private String device;
    /**
     * 设备ipv4配置
     */
    private NetworkConfig ipv4;
    /**
     * 设备ipv6配置
     */
    private NetworkConfig ipv6;
    /**
     * ESXI安装时,交换机名称, vSwitch0
     */
    private String esxSwitchName;

    public Integer getNumber() {
        return number;
    }

    public void setNumber(Integer number) {
        this.number = number;
    }

    /**
     * @return the device
     */
    public String getDevice() {
        return device;
    }

    /**
     * @param device the device to set
     */
    public void setDevice(String device) {
        this.device = device;
    }

    /**
     * @return the ipv4
     */
    public NetworkConfig getIpv4() {
        return ipv4;
    }

    /**
     * @param ipv4 the ipv4 to set
     */
    public void setIpv4(NetworkConfig ipv4) {
        this.ipv4 = ipv4;
    }

    /**
     * @return the ipv6
     */
    public NetworkConfig getIpv6() {
        return ipv6;
    }

    /**
     * @param ipv6 the ipv6 to set
     */
    public void setIpv6(NetworkConfig ipv6) {
        this.ipv6 = ipv6;
    }

    /**
     * @return the esxSwitchName
     */
    public String getEsxSwitchName() {
        return esxSwitchName;
    }

    /**
     * @param esxSwitchName the esxSwitchName to set
     */
    public void setEsxSwitchName(String esxSwitchName) {
        this.esxSwitchName = esxSwitchName;
    }

    public NetworkDevice() {
        super();
    }

    public NetworkDevice(String device, String esxSwitchName) {
        super();
        this.device = device;
        this.esxSwitchName = esxSwitchName;
    }

    public NetworkDevice(String device) {
        super();
        this.device = device;
    }
}
